<!-- PANEL ADMINISTRATIVO -->	
<?php 
		if($_GET['proceso']=="consultar_fecha"){
			$id_fecha=strip_tags($_POST['fecha_anticipo']);
			$fecha_actualxls=$id_fecha;
		
		}



?>

    <meta charset="utf-8">
	<link rel='stylesheet prefetch' href='css/bootstrap-select.min.css'>
	<script src="js/jquery.min_busqueda.js"></script>
	<script src="js/bootstrap-select.min.js"></script>


<div class="contentpanel">
<div class="row row-stat">
	<div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="panel-btns">
                    <a href="#" class="panel-minimize tooltips" data-toggle="tooltip" title="Minimize Panel"><i class="fa fa-minus"></i></a>
                    <a href="#" class="panel-close tooltips" data-toggle="tooltip" title="Close Panel"><i class="fa fa-times"></i></a>
                </div>
                <h4 class="panel-title"><?php echo $ver_cpanel_sub_menu['titulo']; ?></h4>
                <p><?php echo $ver_cpanel_sub_menu['descripcion']; ?>.</p>
            </div>
            <div class="panel-body nopadding">
			<br>
			<form action="<?php echo $url_global.'&proceso=3DIT4R&token=consultar_cliente' ?>" method="POST" class="form-bordered" name='formulario'>
				<table>
					<tr>
							<td>
								<select class="selectpicker" data-show-subtext="true" data-live-search="true" name="cod_cliente" >
									<option value='' selected="true">Seleccionar un cliente</option>
									<?php
										$consultar_sql_ver=mysql_query("select * from  tabla_clintes_xls where eliminar='0' ORDER BY id DESC ",$link);
										while($ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver)){ ?>
										 <option value='<?php echo $ver_consultar_sql_ver['id']; ?>'><?php echo $ver_consultar_sql_ver['rif']; ?> - <?php echo $ver_consultar_sql_ver['descripcion']; ?></option>
									<?php } ?>
								</select>
							</td>	
							<td>	
								<div>
											<div class="btn-group">
												<button class="btn btn-default btn-sm " type="submit" data-toggle="modal" ><i class="fa  fa-plus-square mr5"></i> CONSULTAR </button>
											</div>
								</div>	
							</td>	

					</tr>	
				</table>
			</form>
 
<div class="table-responsive">
<?php 
	$cod_cliente=$_POST['cod_cliente'];


//SALDO


mysql_query("DELETE FROM tabla_transaccion_xls WHERE cod_cliente = '".$cod_cliente."'",$link);
//DELETE FROM `tabla_usuarios` WHERE `tabla_usuarios`.`id` = 1"	
// ESTADO DE CUENTA

//$cod_cliente='72';
	$fecha_actual = date("d-m-Y");
	$comienzo = new DateTime('01-01-2024');
	$final = new DateTime($fecha_actual);
	$saldo_inicio=mysql_query("select * from tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$cod_cliente'  ",$link);
	$ver_saldo_inicial=mysql_fetch_array($saldo_inicio);
	$saldo_inicial=number_format($ver_saldo_inicial['saldo_inicial'], 2, '.','');

for($i = $comienzo; $i <= $final; $i->modify('+1 day')){
    $fecha_actualx=$i->format("Y-m-d");
	
			//INGRESOS
			$anticipo=mysql_query("select * from tabla_anticipo_xls where facha_deposito='$fecha_actualx' and cod_cliente='$cod_cliente' and eliminar='0' ",$link);
			while($ver_anticipo=mysql_fetch_array($anticipo)){
			$ingresos=number_format($ver_anticipo['monto_dolar'], 2, '.',''); 
			$cod_banco=$ver_anticipo['tipo_banco'];
			$codx_cliente=$ver_anticipo['cod_cliente'];
			$fecha_x=$ver_anticipo['facha_deposito'];
				$banco=mysql_query("select * from tabla_banco_xls where id='$cod_banco' and eliminar='0'",$link);
				$ver_banco=mysql_fetch_array($banco);		
				$Banco_Referencia_Documento=$ver_banco['nombre'].' - '.$ver_anticipo['referencia_bancaria'];
					if($fecha_x==$fecha_actualx){
						$saldo_X=mysql_query("select * from tabla_transaccion_xls where cod_cliente='$codx_cliente'  ORDER BY id DESC ",$link);
						$ver_saldo_X=mysql_fetch_array($saldo_X);
						$saldox=$ver_saldo_X['saldo']; 
							if($saldox=='') { $saldox=$saldo_inicial; }
						$montox=$ver_saldo_X['monto'];
						$saldo_total_i=$saldox+$ingresos;
						$saldo_totalx1=number_format($saldo_total_i, 2, '.','');
							$chequear_datos=mysql_query("Select * from  tabla_transaccion_xls where Banco_Referencia_Documento='$Banco_Referencia_Documento' and fecha='$fecha_x' and cod_cliente='$cod_cliente' ",$link);
							$chequear=mysql_fetch_row($chequear_datos);
							if($chequear[0]=="")
							{
								mysql_query("INSERT INTO tabla_transaccion_xls (cod_cliente,fecha,tipo,monto,saldo,Banco_Referencia_Documento) VALUES ('".$codx_cliente."','".$fecha_x."','1','$ingresos','$saldo_totalx1','$Banco_Referencia_Documento')",$link);
							}	
					}	
			}		
			//FACTURACION
				
				$factura=mysql_query("select * from tabla_factura_xls where cod_cliente='$cod_cliente' and eliminar='0' and fecha_factura='$fecha_actualx' ",$link);
				while($ver_factura=mysql_fetch_array($factura)){
				$fecha_factura=$ver_factura['fecha_factura'];
				$codx_clientex=$ver_factura['cod_cliente'];
				if($ver_factura['tipo_documento']=='0'){ $Banco_Referencia_Documento='FACT.-'.$ver_factura['n_factura']; } if($ver_factura['tipo_documento']=='1'){ $Banco_Referencia_Documento='ND.-'.$ver_factura['n_factura']; }
				if($fecha_factura==$fecha_actualx){
					$saldo_X1=mysql_query("select * from tabla_transaccion_xls where cod_cliente='$codx_clientex'  ORDER BY id DESC ",$link);
					$ver_saldo_X1=mysql_fetch_array($saldo_X1);				
					$saldox1=$ver_saldo_X1['saldo']; 		
					$montox1=$ver_saldo_X1['monto'];
					$egresos=(number_format($ver_factura['monto_dolares'], 2, '.',''))*-1;
						if($saldox1=='') { $saldox1=$saldo_inicial; }
					$saldo_total_f=$egresos+$saldox1;
					$saldo_totalx2=number_format($saldo_total_f, 2, '.','');
						$chequear_datos=mysql_query("Select * from  tabla_transaccion_xls where Banco_Referencia_Documento='$Banco_Referencia_Documento' and fecha='$fecha_factura' and cod_cliente='$cod_cliente' ",$link);
						$chequear=mysql_fetch_row($chequear_datos);
						if($chequear[0]=="")
							{
								mysql_query("INSERT INTO tabla_transaccion_xls (cod_cliente,fecha,tipo,monto,saldo,Banco_Referencia_Documento) VALUES ('".$codx_clientex."','".$fecha_factura."','2','$egresos','$saldo_totalx2','$Banco_Referencia_Documento')",$link);
							}
				}
			}
}
// FIN SALDO








	$consultar_sql_verx1x=mysql_query("select * from  tabla_clintes_xls where id='$cod_cliente' ",$link);
	$ver_consultar_sql_verx1x=mysql_fetch_array($consultar_sql_verx1x);
	$cod_cliente2=$ver_consultar_sql_verx1x['id'];
	if($cod_cliente2!=''){
			
										
										///////////////////////////////////////
									$saldo_clientex1=mysql_query("select * from  tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$cod_cliente2' ",$link);
									$ver_saldo_clientex1=mysql_fetch_array($saldo_clientex1);
									
									$consultar_sql_ver_sumax234x=mysql_query("select SUM(monto_dolar),eliminar,fecha_registro,id,cod_cliente from  tabla_anticipo_xls where eliminar='0' and  cod_cliente='$cod_cliente2' ",$link);
									$ver_consultar_sql_ver_sumax224x=mysql_fetch_array($consultar_sql_ver_sumax234x);
									
									$consultar_sql_ver_sumax3x=mysql_query("select SUM(monto_dolares),eliminar,fecha_factura,id,cod_cliente from  tabla_factura_xls	 where eliminar='0' and  cod_cliente='$cod_cliente2'  ",$link);
									$ver_consultar_sql_ver_sumax3x=mysql_fetch_array($consultar_sql_ver_sumax3x);
									
									$monto_dolar_anticipo=$ver_consultar_sql_ver_sumax224x['SUM(monto_dolar)'];
									$monto_dolar_factura=$ver_consultar_sql_ver_sumax3x['SUM(monto_dolares)'];									
									$saldo_cliente=$ver_saldo_clientex1['saldo_inicial']*(-1);
									

									$total_deuda=$monto_dolar_factura+$saldo_cliente;
									$salodo_total_x1=$monto_dolar_anticipo-$total_deuda;
		
		
		
		
		
		
?>
								<div class="panel-info">
									<div class="panel-heading">
                                            <h3 class="mt5"><b>CLIENTE:</b> <?php echo $ver_consultar_sql_verx1x['descripcion']; ?> <b>RIF:</b> <?php echo $ver_consultar_sql_verx1x['rif']; ?></h3>
                                    </div>
                                </div>

	<br>
	<div class="col-md-4">
		<div class="well well-sm"><b>TOTAL FACTURADO:</b> <?php echo number_format($total_deuda, 2, ',','.'); ?>  $</div>
	</div>	
	<div class="col-md-4">
		<div class="well well-sm"><b>TOTAL ANTICIPOS: </b> <?php echo  number_format($monto_dolar_anticipo, 2, ',','.'); ?> $</div>
	</div>
	
	<?php
		if($salodo_total_x1=='' or $salodo_total_x1=='0,00' )
			{ ?>
				<div class="col-md-2">
					<div class="well well-sm"><b>SALDO:  </b><?php echo  number_format($salodo_total_x1, 2, ',','.'); ?> $</div>
				</div>
	<?php } 
				else {
					if($salodo_total_x1<0){ ?>
				<div class="col-md-2">
					<div class="alert-danger well-sm"><b>SALDO:  </b><?php echo  number_format($salodo_total_x1, 2, ',','.'); ?> $</div>
				</div>	
					<?php }
					if($salodo_total_x1>=0){ ?>
				<div class="col-md-2">
					<div class="alert-success well-sm"><b>SALDO:  </b><?php echo  number_format($salodo_total_x1, 2, ',','.'); ?> $</div>
				</div>	
	<?php }
					}
	?>
	<div class="col-md-2">
		<a href='pdf/reporte_amanacu/estado_cuenta_cliente.php?estatus=1&cod_cliente=<?php echo $cod_cliente; ?>&token=<?php echo $token; ?>&usuario=<?php echo $codigo; ?>&fecha_registro=<?php echo $fecha_registro; ?>' target="_blank"  class='btn btn-primary btn-sm'><i class="fa fa-print"></i> ESTADO DE CUENTA</a>
	</div>	
	
<br>
<br>
<br>
<br>

						<div class="input-group mb15 has-warning">
                            <span class="input-group-addon"><b>BUSCAR</b></span>
                            <input type="text" autofocus="autofocus" placeholder="Buscar" id="search" class="form-control" />
                        </div>	
<br>
<table id="employee_table" class="table  responsive">
                                <thead class="">
                                    <tr>
                                        <th>FECHA</th>
                                        <th>FACTURA</th>
                                        <th>ANTICIPO</th>
                                        <th>TASA BS </th>
                                        <th>MONTO BS </th>
                                        <th>MONTO $ </th>
                                        <th>SALDO $</th>
                                    </tr>
                                </thead>
								
                                <tbody>
								<tr style="background-color: #F0F0F0;">
									<td>2024-08-08</td>
									<td>SALDO DE INICIO DEL SISTEMA</td>
									<td></td>
									<td>0,00</td>
									<td>0,00</td>
									<td>0,00</td>
									<td><?php
										if($ver_saldo_clientex1['saldo_inicial']==''){ echo '0,00'; } else { 
											echo number_format($ver_saldo_clientex1['saldo_inicial'], 2, ',','.'); 
											}
									?></td>
								</tr>
								<?php
									$consultar_sql_ver=mysql_query("select * from  tabla_transaccion_xls where cod_cliente='$cod_cliente'",$link);
									while($ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver)){
									$tipo_documento_xls=$ver_consultar_sql_ver['tipo']; 
									$fecha=$ver_consultar_sql_ver['fecha']; 
									
									$consultar_sql_ver_almacen=mysql_query("select * from tabla_almacen where nombre='$fecha' and eliminar='0' ",$link);
									$ver_consultar_sql_ver_almacen=mysql_fetch_array($consultar_sql_ver_almacen);
									
									
								?>
                                    <tr>

                                        <td><?php echo $ver_consultar_sql_ver['fecha']; ?> </td>
                                        <td>
											<?php 
											if($tipo_documento_xls=='2'){
												echo $ver_consultar_sql_ver['Banco_Referencia_Documento'];
											}
											?>
										</td>   
										<td>
											<?php 
											if($tipo_documento_xls=='1'){
												echo $ver_consultar_sql_ver['Banco_Referencia_Documento'];
											}
											?>
										</td>	
										<td>
											<?php 
												echo $ver_consultar_sql_ver_almacen['ubicacion'];
											?>
										</td>	
										<td>
											<?php 
												 $calculo=$ver_consultar_sql_ver['monto']*$ver_consultar_sql_ver_almacen['ubicacion'];
												echo  number_format($calculo, 2, ',','.');
											?>
										</td>
										<td><?php echo number_format($ver_consultar_sql_ver['monto'], 2, ',','.');	?></td>
										<td><?php echo number_format($ver_consultar_sql_ver['saldo'], 2, ',','.');	?></td>
							
                                    </tr> 
															
									<?php }  ?>
                                </tbody>
                            </table>


			
            </div>     
            </div>
        </div>
	</div>
</div>
</div>
<?php }  ?>
<script>  
								  $(document).ready(function(){  
									   $('#search').keyup(function(){  
											search_table($(this).val());  
									   });  
									   function search_table(value){  
											$('#employee_table tr').each(function(){  
												 var found = 'false';  
												 $(this).each(function(){  
													  if($(this).text().toLowerCase().indexOf(value.toLowerCase()) >= 0)  
													  {  
														   found = 'true';  
													  }  
												 });  
												 if(found == 'true')  
												 {  
													  $(this).show();  
												 }  
												 else  
												 {  
													  $(this).hide();  
												 }  
											});  
									   }  
								  });  
							 </script>	